PUT
/api/v1/gateway/shadowUpdate a shadow config
Updates a shadow config. Requires orgId + id; optional enabled/trafficPercentage/name. 404 if not found or not in the caller's org.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/settings/api-keys.
Request body required
Example
{
"orgId": "00000000-0000-0000-0000-000000000000",
"id": "00000000-0000-0000-0000-000000000000",
"enabled": false,
"trafficPercentage": 1,
"name": "string"
}Schema
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"orgId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"enabled": {
"type": "boolean"
},
"trafficPercentage": {
"type": "number",
"minimum": 1,
"maximum": 100
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
}
},
"required": [
"orgId",
"id"
],
"additionalProperties": false
}
}
}Response
200 example
{
"success": true
}All status codes
200Updated shadow config.
400(no description)
401(no description)
403Forbidden - insufficient role for this operation.
404(no description)
429(no description)
500Internal Server Error — an unhandled error was converted to the standard error envelope (INTERNAL_ERROR).
Code samples
cURL
curl -X PUT \
https://evalguard.ai/api/v1/gateway/shadow \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "orgId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "enabled": false, "trafficPercentage": 1, "name": "string" }'TypeScript
// The TypeScript SDK (@evalguard/sdk) exposes TYPED methods — runEval,
// getEval, runSecurityScan, checkFirewall, … — not a generic request().
// For an arbitrary endpoint, call it directly:
const res = await fetch("https://evalguard.ai/api/v1/gateway/shadow", {
method: "PUT",
headers: {
Authorization: `Bearer ${process.env.EVALGUARD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"orgId": "00000000-0000-0000-0000-000000000000",
"id": "00000000-0000-0000-0000-000000000000",
"enabled": false,
"trafficPercentage": 1,
"name": "string"
}),
});
console.log(res.status, await res.json());Python
# The Python SDK (pip install evalguardai) exposes TYPED methods on
# EvalGuardClient — run_eval, get_eval, … — not a generic request().
# For an arbitrary endpoint, call it directly:
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['EVALGUARD_API_KEY']}"}
headers["Content-Type"] = "application/json"
response = requests.request(
"PUT",
"https://evalguard.ai/api/v1/gateway/shadow",
headers=headers,
json={
"orgId": "00000000-0000-0000-0000-000000000000",
"id": "00000000-0000-0000-0000-000000000000",
"enabled": False,
"trafficPercentage": 1,
"name": "string"
},
)
print(response.status_code, response.json())Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"orgId":"00000000-0000-0000-0000-000000000000","id":"00000000-0000-0000-0000-000000000000","enabled":false,"trafficPercentage":1,"name":"string"}`)
req, _ := http.NewRequestWithContext(context.Background(), "PUT", "https://evalguard.ai/api/v1/gateway/shadow", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403404429500